import { connect } from 'umi';
import PrintInfoComponent from '@/components/CommonElementEvent/PrintInfo';

function PrintInfo({ dispatch, app, content }) {
  function removePane(changePanes, currentPane) {
    dispatch({ type: 'app/removePane', payload: { changePanes, currentPane } });
  }

  function removeModalPan(changePanes) {
    dispatch({ type: 'app/removeModalPane', payload: { changePanes } });
  }

  function addPane(pane) {
    dispatch({ type: 'app/addPane', payload: { pane } });
  }
  const printInfoProps = {
    app,
    content,
    dispatch,
    onAddPane: addPane,
    onRemovePane: removePane,
    onRemoveModalPane: removeModalPan,
  };

  return (
    <PrintInfoComponent {...printInfoProps} />
  );
}

export default connect(({ app, content }) =>
  ({ app, content }))(PrintInfo);
